Page MenuHomePhabricator

Add TOR support to the CheckIfDead class
Closed, ResolvedPublic

Description

Here IABot added (correct) archives to .onion (Tor) URLs.

Unless IABot can actually determine whether Tor services are available, it should ignore these URLs.

UPDATE: IABot should support TOR links, as the Wayback Machine does.

Event Timeline

Cirdan created this task.Apr 28 2019, 2:55 PM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptApr 28 2019, 2:55 PM
Restricted Application added a subscriber: Cyberpower678. · View Herald Transcript
Cyberpower678 renamed this task from IABot should ignore .onion URLs to Add TOR support to the CheckIfDead class.Apr 29 2019, 1:01 PM
Cyberpower678 added a project: Community-Tech.
Cyberpower678 updated the task description. (Show Details)
Restricted Application added a project: Internet-Archive. · View Herald TranscriptApr 29 2019, 1:01 PM

Testing the implementation now, but it should be ready in checkIfDead v1.8.

Awaiting review from the WMF.

Cyberpower678 closed this task as Resolved.May 24 2019, 8:07 PM